Name:		figlet
Summary:	A program for making large letters out of ordinary text
Version:	2.2.5
Release:	7%{?dist}
License:	BSD and MIT
Group:		Applications/Text
URL:		http://www.figlet.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

# Source repository at https://github.com/cmatsuoka/figlet
Source0:	ftp://ftp.figlet.org/pub/figlet/program/unix/%{name}-%{version}.tar.gz

Patch0:     0001-Make-test-script-a-bit-more-portable.patch
Patch1:     0002-Add-Kannada-ttha-character-to-Standard-font.patch
Patch2:     0003-Fix-build-with-musl-libc.patch


%description
FIGlet prints its input using large characters (called "FIGcharacters") made
up of ordinary screen characters (called "sub-characters"). FIGlet output is
generally reminiscent of the sort of "signatures" many people like to put at
the end of e-mail and UseNet messages. It is also reminiscent of the output of
some banner programs, although it is oriented normally, not sideways.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

sed -i -e 's@usr/local@usr/@g' \
	-e 's@showfig/usr/share/figlet/@@g' \
	-e 's@$(prefix)/man@$(prefix)/share/man@g' Makefile


%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%check
make check

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install


%clean
rm -rf %{buildroot}


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc CHANGES README FAQ
%{_mandir}/man6/*
%{_bindir}/*
%{_datadir}/%{name}/


%changelog
* Wed Feb 25 2015 Simone Caronni <negativo17@gmail.com> - 2.2.5-7
- Add license macro.
- Add upstream patches.

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Simone Caronni <negativo17@gmail.com> - 2.2.5-1
- Updated to 2.2.5.

* Mon May 21 2012 Simone Caronni <negativo17@gmail.com> - 2.2.4-7
- Removed ms-dos fonts.
- Added check.
- Replace make macro with actual command.
- Added compile flags to make command.

* Mon May 14 2012 Simone Caronni <negativo17@gmail.com> - 2.2.4-6
- Review fixes.
- Removed contributed fonts as per review.

* Thu May 10 2012 Simone Caronni <negativo17@gmail.com> - 2.2.4-5
- Small changes.

* Wed Oct 26 2011 Simone Caronni <negativo17@gmail.com> - 2.2.4-4
- rpmlint fixes.

* Fri Oct 21 2011 Simone Caronni <negativo17@gmail.com> - 2.2.4-3
- Updated.
- Added additional fonts, reworked setup.

* Wed Nov 29 2006 Simone Caronni <slaanesh@fastwebnet.it> - 2.2.2-1.sla
- First build 
